#plane of air fight 1
from eventAPI import *
from APIUtils import *

rtpoairFlag1=0

def fireEvent(e):
   global rtpoairFlag1
   rtpoairFlag1 = getTag(e, "rtpoairFlag1")
   if (rtpoairFlag1 == 1):
      return 1
   else:
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Twister", 8, 3, 20)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpoairFlag1
   global rtPrinceofSongs
   rtPrinceofSongs = getTag(e, "rtPrinceofSongs")
   if (rtPrinceofSongs == 1):
      showPicture(e, "Laneraven")
      showMessage(e, ["\"What strength you have, not to be tossed by the winds of the elementals.  Surely they would do me great harm if I were to attack them so.\""])
   rtpoairFlag1 = 1
   setTag(e, "rtpoairFlag1", rtpoairFlag1)
   return 1
